import type { ClientOptions } from './Interfaces';
import { XKCDAPI } from './XKCDAPI';
export declare class XKCD {
    readonly api: XKCDAPI;
    private readonly apiClient;
    private readonly options;
    constructor(options?: ClientOptions);
    /**
     * Set a new API URL.
     * @param url The new API URL.
     */
    setApiUrl(newUrl: string): void;
}
